Find By Custom Field
curl --request GET \
--url https://app.fliqr.ai/api/contacts/find_by_custom_field \
--header 'X-ACCESS-TOKEN: <api-key>'const options = {method: 'GET', headers: {'X-ACCESS-TOKEN': '<api-key>'}};
fetch('https://app.fliqr.ai/api/contacts/find_by_custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/contacts/find_by_custom_field"
headers = {"X-ACCESS-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"page_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"channel": 123,
"profile_pic": "<string>",
"locale": "<string>",
"gender": 123,
"timezone": 123,
"last_sent": 123,
"last_delivered": 123,
"last_seen": 123,
"last_interaction": 123,
"subscribed_date": "<string>",
"subscribed": 123,
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"custom_fields": [
{
"id": 123,
"name": "<string>",
"type": 0,
"value": "<string>"
}
]
}
]
}Contacts
Find by custom field
Find contacts by custom field value. It will return maximum 100 contacts. The results are sorted by the last custom field value update for a contact.
GET
/
contacts
/
find_by_custom_field
Find By Custom Field
curl --request GET \
--url https://app.fliqr.ai/api/contacts/find_by_custom_field \
--header 'X-ACCESS-TOKEN: <api-key>'const options = {method: 'GET', headers: {'X-ACCESS-TOKEN': '<api-key>'}};
fetch('https://app.fliqr.ai/api/contacts/find_by_custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/contacts/find_by_custom_field"
headers = {"X-ACCESS-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"page_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"channel": 123,
"profile_pic": "<string>",
"locale": "<string>",
"gender": 123,
"timezone": 123,
"last_sent": 123,
"last_delivered": 123,
"last_seen": 123,
"last_interaction": 123,
"subscribed_date": "<string>",
"subscribed": 123,
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"custom_fields": [
{
"id": 123,
"name": "<string>",
"type": 0,
"value": "<string>"
}
]
}
]
}Authorizations
API access token from your Fliqr AI dashboard (Settings → API). Send it in the X-ACCESS-TOKEN header on every request.
Query Parameters
Custom field ID. Use 'phone' or 'email' as custom field id if you want to find the contact by phone or email
Response
Maximum array length:
100Show child attributes
Show child attributes
Was this page helpful?
⌘I